<?php

// Share This
//
// Copyright (c) 2006 Alex King
// http://alexking.org/projects/wordpress
//
// This is an add-on for WordPress
// http://wordpress.org/
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
// *****************************************************************

/*
Plugin Name: Share This
Plugin URI: http://alexking.org/projects/wordpress
Description: Let your visitors share a post/page with others. Supports e-mail and posting to social bookmarking sites. Thanks to <a href="http://www.twistermc.com/">Thomas McMahon</a> for footwork on the URLs.
Version: 1.2
Author: Alex King
Author URI: http://alexking.org/
*/

			require('../../../wp-blog-header.php');////AK_WPROOT.'wp-blog-header.php'

			if (function_exists('load_plugin_textdomain')) {
				load_plugin_textdomain('alexking.org');
			}

			$post_id = '';
			$to = '';
			$name = '';
			$email = '';
			
			if (!empty($_REQUEST['akst_to'])) {
				$to = stripslashes($_REQUEST['akst_to']);
				$to = str_replace(
					array(
						','
						,"\n"
						,"\t"
						,"\r"
					)
					, array()
					, $to
				);
			}
			
			if (!empty($_REQUEST['akst_name'])) {
				$name = stripslashes($_REQUEST['akst_name']);
				$name = str_replace(
					array(
						'"'
						,"\n"
						,"\t"
						,"\r"
					)
					, array()
					, $name
				);
			}

			if (!empty($_REQUEST['akst_email'])) {
				$email = stripslashes($_REQUEST['akst_email']);
				$email = str_replace(
					array(
						','
						,"\n"
						,"\t"
						,"\r"
					)
					, array()
					, $email
				);
			}
			
			if (!empty($_REQUEST['akst_post_id'])) {
				$post_id = intval($_REQUEST['akst_post_id']);
			}

			if (empty($post_id) || empty($to) || !ak_check_email_address($to) || empty($email) || !ak_check_email_address($email)) {
				wp_die(__('Click your <strong>back button</strong> and make sure those e-mail addresses are valid then try again.', 'alexking.org'));
			}
			
			$post = &get_post($post_id);
			
			$url = get_permalink($post_id);
			
			$headers = "MIME-Version: 1.0\n" .
				'From: "'.$name.'" <'.$email.'>'."\n"
				.'Reply-To: "'.$name.'" <'.$email.'>'."\n"
				.'Return-Path: "'.$name.'" <'.$email.'>'."\n"
				."Content-Type: text/plain; charset=\"" . get_option('blog_charset') ."\"\n";
			
			$subject = __('Check out this post on ', 'alexking.org').get_bloginfo('name');
			
			$message = __('Greetings--', 'alexking.org')."\n\n"
				.$name.__(' thinks this will be of interest to you:', 'alexking.org')."\n\n"
				.$url."\n\n"
				.__('Enjoy.', 'alexking.org')."\n\n"
				.'--'."\n"
				.get_bloginfo('home')."\n";
			
			@mail($to, $subject, $message, $headers);
			
			if (!empty($_SERVER['HTTP_REFERER'])) {
				$url = $_SERVER['HTTP_REFERER'];
			}
			
			header("Location: $url");
			status_header('302');
			die();

?>